| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# Print.cpp File Reference

## Detailed Description

Implementation file for functions for namespace GaudiAlg::Print.

Author:
  Vanya BELYAEV Ivan.Belyaev@lapp.in2p3.fr

Date:
  2005-08-05

Definition in file Print.cpp.

`#include <ctype.h>`
`#include <string>`
`#include <vector>`
`#include <functional>`
`#include "AIDA/IHistogram1D.h"`
`#include "AIDA/IHistogram2D.h"`
`#include "AIDA/IHistogram3D.h"`
`#include "AIDA/IProfile1D.h"`
`#include "AIDA/IProfile2D.h"`
`#include "GaudiKernel/DataObject.h"`
`#include "GaudiKernel/IRegistry.h"`
`#include "GaudiKernel/StatEntity.h"`
`#include "GaudiKernel/INTuple.h"`
`#include "GaudiAlg/HistoID.h"`
`#include "GaudiAlg/Print.h"`
`#include "boost/format.hpp"`
`#include "boost/lexical_cast.hpp"`

Include dependency graph for Print.cpp:

Go to the source code of this file.

## Functions
std::string | _print (const INTuple::ItemContainer &items)
## Variables
static const std::string | s_invalidLocation = "<UNKNOWN LOCATION>"

## Function Documentation

std::string @71::_print | ( | const INTuple::ItemContainer & | items | ) | `[static]`

Definition at line 183 of file Print.cpp.

References std::vector< _Tp, _Alloc >::begin(), std::vector< _Tp, _Alloc >::end(), INTupleItem::hasIndex(), INTupleItem::name(), and INTupleItem::ndim().

Referenced by GaudiAlg::PrintTuple::print().

    00184   {
    00185     std::string str ;
    00186     for ( INTuple::ItemContainer::const_iterator iitem = items.begin() ;
    00187           items.end() != iitem ; ++iitem )
    00188     {
    00189       if ( items.begin() != iitem ) { str +="," ; }
    00190       const INTupleItem* item = *iitem ;
    00191       if ( 0 == item ) { continue ; }
    00192       str += item->name() ;
    00193       if ( 0 != item->ndim() )
    00194       { str += '[' + boost::lexical_cast<std::string>( item->ndim() ) + ']'; }
    00195       if ( item->hasIndex() ) { str += "/V" ; }
    00196     }
    00197     return str ;
    00198   }

## Variable Documentation

const std::string s_invalidLocation = "<UNKNOWN LOCATION>"`[static]`

Definition at line 52 of file Print.cpp.

Referenced by GaudiAlg::Print::location().